Ruby latest version?

I’m using Ruby 1.5.1 is that the latest version? It’s just that whynopadlock is reporting that the link using the Lato Google font is not secure and I’d like to fix it.

Here’s the message:

“A file with an insecure url of “http://fonts.googleapis.com/css?family=Lato:300,700” was loaded on line: 38 of https://www.hovewebdesign.com/.
This URL will need to be updated to use a secure URL for your padlock to return.”

Thanks

Rob

Are you positive you’ve done a Republish All File with Ruby v1.5.1? I ask because the CDN based font calls were removed in v1.5.1 to be GDPR compliant.

I suspect you might have v1.5.1 installed but the site in question has not been properly republished.

I’ve just republished all files (about 1,370) and run whynopadlock again and it’s giving the same result.

Same error relating to Line 38 - see attached screenshot

Any chance you have a stack on the page that is using google fonts? Can you give me the URL to the problem page?

This is the <head> section of Ruby v1.5.1:

As of the update 2 years ago Ruby does not use the Google CDN server.

It’s possible there’s a stack on the page that uses a Google font but there’s no specific ‘font stack’ because I’m just using Lato as set in the theme’s Master Style.

It’s https://www.hovewebdesign.com.

Thanks!

Rob

Somethings not matching up. The styles.css file on your site is not the same as in v1.5.1 of Ruby:

Your styles.css file is missing the code for loading the fonts from the theme, which is present in v1.5.1.

You can re-download themes using the Order Lookup functionality mentioned in this blog post: https://elixirgraphics.com/blog/updated-themes-for-gdpr-requirements

You could re-download Ruby, install it, restart RW and then do a Republish All Files. I have double and triple checked to make sure v1.5.1 does indeed have the fonts loading internally and not from the CDN, so I can only imagine that something is amiss with your version.

If you want you can also send me your project file and I’ll publish a test with Ruby here as well.

I’m happy to do the donkey work Adam but have a question. I’ve made significant changes to the theme in terms of tweaking the Master Style settings to use different colours, different icons on each page, set title size and so forth.

If I follow your suggestion, re-download the theme, install it, restart RW will I have to go through and manually adjust all my Master Style settings?

Thanks

Rob

You should not have to redo anything. They’re the same theme. Just install the new one over the old one and you should be fine. Make a copy of your current version if you want first. In fact, I’d love to get a copy of your current version.

Right, I’m afraid I’ve led you up the garden path here Adam. It’s my fault. I’ve not actually applied the up to date version of the theme, although I have it. I’ll apply it, re-publish and then I’m sure that’ll solve the problem.

Yellow card for time-wasting…:sunglasses:

1 Like

No problem. Hope that does the trick. :+1: